package models

//医院介绍
type SgjPatientHospital struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjPatientHospital) TableName() string {
	return "sgj_patient_hospital"
}

//科室介绍
type SgjPatientOffices struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjPatientOffices)TableName() string  {
	return "sgj_patient_offices"
}

//名医介绍
type SgjPatientDoctor struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Title string `gorm:"column:title" json:"title" form:"title"`
	Sort int64 `gorm:"column:sort" json:"sort" form:"sort"`
	Images string `gorm:"column:images" json:"images" form:"images"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Docname string `gorm:"column:docname" json:"docname" form:"docname"`
	Dochead string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	Docpositional string `gorm:"column:docpositional" json:"docpositional" form:"docpositional"`
	Docintroduction string `gorm:"column:docintroduction" json:"docintroduction" form:"docintroduction"`
}

func (SgjPatientDoctor) TableName() string {
	return "sgj_patient_doctor"
}